Siriz.routers.AppRouter = Backbone.Router.extend({

    routes: {
        "": "home",
        "stories/:id": "storyDetails"
    },

    initialize: function () {
        Siriz.slider = new PageSlider($('body'));
    },

    home: function () {
        // Since the home view never changes, we instantiate it and render it only once
        if (!Siriz.homeView) {
            Siriz.homeView = new Siriz.views.HomeView();
            Siriz.homeView.render();
        } else {
            Siriz.homeView.delegateEvents(); // delegate events when the view is recycled
        }
        Siriz.slider.slidePage(Siriz.homeView.$el);
    },

    storyDetails: function (id) {
        var story = new Siriz.models.Story({id: id});
        story.fetch({
            success: function (data) {
                // Note that we could also 'recycle' the same instance of EmployeeFullView
                // instead of creating new instances
                Siriz.slider.slidePage(new Siriz.views.StoryDetailView({model: data}).render().$el);
            }
        });
        
    }

});
